#if defined _StageDisplay_included
	#endinput
#endif

#define _StageDisplay_included

/**
 * Retrieve current stage name.
 *
 * @param name              The buffer to write to.
 * @param maxlength         The maximum buffer length.
 *
 * @return                  True on success, false otherwise.
 */
native bool SD_GetStage(char[] name, int maxlength);


public SharedPlugin __pl_StageDisplay =
{
	name = "StageDisplay",
	file = "StageDisplay.smx",

	#if defined REQUIRE_PLUGIN
		required = 1
	#else
		required = 0
	#endif
};

#if !defined REQUIRE_PLUGIN
	public void __pl_StageDisplay_SetNTVOptional()
	{
		MarkNativeAsOptional("SD_GetStage");
	}
#endif
